#ifndef KYLIN_SYSTEM_THEME_MANAGEMENT_
#define KYLIN_SYSTEM_THEME_MANAGEMENT_

#include <QObject>
#include <QWidget>
#include <QAbstractButton>

namespace kdk
{
namespace kabase
{

class ThemeManagement
{
public:
    enum Property {
        MinButton = 0,                   /* 最小化按钮 */
        MaxButton,                       /* 最大化按钮 */
        CloseButton,                     /* 关闭按钮 */
        ButtonThreeStateGrey,            /* 按钮三态灰色背景 */
        ButtonThreeStateBlue,            /* 按钮三态红色背景 */
        IconDefaultHighlight,            /* 主题切换对图标进行处理 */
        IconSelectClickHighlight,        /* 选中 , 点击 对图标高亮处理 */
        IconDefaultSelectClickHighlight, /* 主题切换对图标进行处理 , 选中 , 点击 对图标高亮处理 */
        IconNonSolidColorHighlight       /* 对非纯色的 symbolic 图标处理 */
    };

    ThemeManagement();
    ~ThemeManagement();

    static bool setProperty(QObject *object, Property property);
    static bool setPaletteColor(QWidget *widget);
    static bool setMinIcon(QAbstractButton *button);
    static bool setMaxIcon(QAbstractButton *button);
    static bool setCloseIcon(QAbstractButton *button);
};

} /* namespace kabase */
} /* namespace kdk */

#endif